<!DOCTYPE html>
<html>
  <head>
    <title>Socket.io Latency Testing</title>
    <link rel="stylesheet" href="mini-default.min.css">
    <style>
      body {background-color:#2b2f31;margin: 10px;padding:10px;}
      form {color: #dddad6;
        background: #202325;
        border: .0625rem solid rgb(120, 111, 98);}
      input:not([type]), [type="text"] {
        color: #dddad6;
        background: #1c1e1f;
        border: .0625rem solid #3a3e41;
      }
      h1   {color: rgb(114, 255, 114);}
      h4   {color: rgb(114, 255, 114);}
      p    {color:#333;}
      textarea, .inputField {width:100%;}
    </style>
    <script src="jquery.min.js"></script>
  </head>
  <body>

    <h1>Socket.io Latency Testing</h1>
    <form>
      <fieldset>
        <legend>Testing Variables form</legend>
        <div class="rendered-form row">
          <div class="inputField">
            <div class="input-group vertical formbuilder-text form-group field-clients">
              <label for="clients" class="formbuilder-text-label">Max Clients</label>
              <input type="text" placeholder="Max number of Clients" class="form-control" name="clients" access="false" id="clients" value="1000">
            </div>
            <div class="input-group vertical formbuilder-text form-group field-polling">
              <label for="polling" class="formbuilder-text-label">Polling</label>
              <input type="text" placeholder="Polling Percentage" class="form-control" name="polling" access="false" id="polling" value="0.05">
            </div>
            <div class="input-group vertical formbuilder-text form-group field-creation-interval">
              <label for="creation-interval" class="formbuilder-text-label">
                Client Creation Interval
              </label>
              <input type="text" class="form-control" name="creation-interval" access="false" id="creationinterval" value="10">
            </div>
            <div class="input-group vertical formbuilder-text form-group field-sig-message">
              <label for="sig-message" class="formbuilder-text-label">Signal Message Interval</label>
              <input type="text" class="form-control" name="sig-message" access="false" id="sigmessage" value="1000">
            </div>
            <div class="input-group vertical formbuilder-text form-group field-jsonsize">
              <label for="jsonsize" class="formbuilder-text-label">Json Size</label>
              <input type="text" class="form-control" name="jsonsize" access="false" id="jsonsize" value="10">
            </div>
          </div>
        </div>
        <div class="row">
          <div class="input-group vertical formbuilder-button form-group field-btn-sub">
            <button type="button" class="primary btn" name="btn-sub" id="btn-sub" access="false" style="primary" id="btn-sub">Submit</button>
          </div>
        </div>
      </fieldset>
    </form>
    </br>
    <form>
      <fieldset>
        <legend>Outputs</legend>
        <h4>Statistics</h4>
        <div class="row">
          <div id="clientCount" class="col-sm-4">Total Client Count: </div>
          <div id="newClientCount" class="col-sm-4">New Clients Since Last Report: </div>
          <div id="durationSinceLastReport" class="col-sm-4">Duration Since Last Report: </div>
          <div id="totalConnections" class="col-sm-4">Total Connections: </div>
          <div id="newConnectionsSinceLastReport" class="col-sm-4">New Connections Since Last Report: </div>
          <div id="reconnectionFails" class="col-sm-4">Reconnect Failed: </div>
          <div id="totalDisconnectedSockets" class="col-sm-4">Total Disconnected Sockets: </div>
          <div id="socketsDisconnectedSinceLastReport" class="col-sm-4">Disconnected Sockets Since Last Report: </div>
          <div id="socketsDisconnectedPerSecond" class="col-sm-4">Disconnected Sockets Per Second: </div>
          <div id="successfulReconnections" class="col-sm-4">Successful Reconnections: </div>
          <div id="reconnectionAttempts" class="col-sm-4">Reconnection Attempts: </div>
          <div id="reconnectionErrors" class="col-sm-4">Reconnection Errors: </div>
          <div id="totalSentPackets" class="col-sm-4">Total Sent Packets: </div>
          <div id="sentPacketCounter" class="col-sm-4">Sent Packets Since Last Report: </div>
          <div id="averageLatency" class="col-sm-4">Average Latency: </div>
          <div id="totalRecieved" class="col-sm-4">Total Packets Recieved: </div>
          <div id="packetsSinceLastReport" class="col-sm-4">Packets Recieved Since Last Report: </div>
          <div id="packetsPerSeconds" class="col-sm-4">Packets Per Second: </div>
          <div id="totalLatePackets" class="col-sm-4">Total Late Packets: </div>
          <div id="latePacketCounter" class="col-sm-4">Late Packets Since Last Report: </div>
          <div id="latePacketRatio" class="col-sm-4">Late to Recieved Ratio: </div>
        </div>
        <h4>Error Count</h4>
        <div class="row">
          <div id="totalErrors" class="col-sm-2">Total Errors: 0</div>
          <div id="ioServerDisconnectError" class="col-sm-2">io server disconnect: 0</div>
          <div id="ioClientDisconnectError" class="col-sm-2">io client disconnect: 0</div>
          <div id="pingTimoutError" class="col-sm-2">ping timeout: 0</div>
          <div id="transportCloseError" class="col-sm-2">transport close: 0</div>
          <div id="transportError" class="col-sm-2">transport error: 0</div>
        </div>

        <!-- </br>
             <label for="outputFull">Output Log</label>
             <div class="row">
             <textarea id="outputFull" name="output" rows="10"></textarea>
             </div>         </br>
             <label for="errorLog">Error Log</label>
             <div class="row">
             <textarea id="errorLog" name="errorlog" rows="10"></textarea>
             </div>
        -->
      </fieldset>
    </form>
    <script src="/socket.io/socket.io.js"></script>
    <script src="user_testing.js"></script>
  </body>
</html>
